MAKEWHATIS(1)

NAME
makewhatis - create whatis database

SYNOPSIS
makewhatis [-a | -append] [-h | -help] [-i | -indent column] [-n | -name name] [-o | -outfile file] [-v | -verbose] [directories ...]

DESCRIPTION
makewhatis extracts the name and a short description from unformatted manpages and creates the whatis(1) database. makewhatis can read gzip'ed manpages. Directory names a directory containing manpage subdirectories (named man.+). Colons are treated as spaces, hence makewhatis $MANPATH or makewhatis `manpath` are allowed.

OPTIONS

-a, -append
    Append mode. Don't delete old entries in whatis database. Note: the new database will be sorted without repeated lines and makewhatis does not check if old entries are valid.

-h, -help
    Print options and exit.

-i, -indent column
    Justify description strings to column (default 24).

-n, -name name
    Use name instead of whatis.

-o, -outfile file
    Write all output to file instead of dirname/whatis.

-v, -verbose
    Issue more warnings (to stderr). For every parsed man page write a single char: ‘’. for an uncompressed page, ‘*’ for a compressed page, and ‘+’ for a link.

EXAMPLES

makewhatis $MANPATH

Create whatis database for all directories in your $MANPATH.

makewhatis -outfile /tmp/mywhatis /usr/local/man $HOME/man

Create whatis database /tmp/mywhatis. Traverse directories /usr/local/man and $HOME/man. Don't create /usr/local/man/whatis or $HOME/man/whatis.

makewhatis -name windex $HOME/man

Create whatis database windex instead of whatis. May be useful for Solaris.

FILES
*/man/whatis
    whatis database
/etc/weekly
    run makewhatis.local every week

SEE ALSO
apropos(1), catman(1), getNAME(1), man(1), manpath(1), sort(1), uniq(1), whatis(1), makewhatis.local(8).

HISTORY
This makewhatis command appeared in FreeBSD 2.1.

AUTHOR
Wolfram Schneider, Berlin.